/*
 * dm.h - backend library for partition table scanning on dm devices
 *
 * Copyright (C) 2005-2008 Red Hat, Inc.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Author(s): Peter Jones <pjones@redhat.com>
 */

#ifndef NASH_PRIV_DM_H
#define NASH_PRIV_DM_H 1

extern char *
nashDmGetUUID(const char *name);

extern dev_t
nashDmGetDev(const char *name);

extern int
nashDmCreate(nashContext *nc,
        char *name, char *uuid, long long start, long long length,
        char *type, char *params);

extern int
nashDmRemove(char *name);

extern int
nashDmCreatePartitions(nashContext *nc, char *path);

#if 0 /* notyet */
extern int
nashDmRemovePartitions(char *name);
#endif

extern int
nashDmListSorted(nashContext *nc, const char **names);

extern int
nashDmHasParts(const char *name);

extern void
nashDmFreeTree(void);

extern char *
nashDmDevGetName(nashContext *nc, dev_t devno);

extern char *
nashDmDevGetType(nashContext *nc, dev_t devno);

#endif /* NASH_PRIV_DM_H */
/*
 * vim:ts=8:sw=4:sts=4:et
 */
